<%-- Hvis der opstr en undtagelse omdirigeres automatisk til /WEB-INF/bank/fejl.jsp --%>
<%@ page contentType="text/html; charset=iso-8859-1" errorPage="/WEB-INF/bank/fejl.jsp" 
         import="java.util.*, bank.*" %>

<jsp:useBean id="login" class="javabog.Login" scope="session">
	<% login.init(application); %>  <%-- kres frste gang bnnen bruges --%>
</jsp:useBean>
<jsp:setProperty name="login" property="*" />

<%
	String handling = request.getParameter("handling");
	String brugernavn = login.getBrugernavn();  //<title>kontrol</title>

	if ("log ind".equals(handling)) login.tjekLogin();
	if ("log_ud".equals(handling))  login.setAdgangskode("");
	
	if (!login.isLoggetInd()) {            // er brugeren logget korrekt ind?
		application.log("Bruger "+brugernavn+" skal logge ind.");
		session.removeAttribute("valg");     // eller evt: session.invalidate()
		request.getRequestDispatcher("/WEB-INF/bank/log_ind.jsp").forward(request,response);
		return;                              // afslut behandlingen af denne side
	}
%>

<%-- Nedenstende objekt har globalt virkefelt (svarer til en singleton) --%>
<jsp:useBean id="bank" class="bank.Bankmodel" scope="application" />

<jsp:useBean id="valg" class="bank.Brugervalg" scope="session">
	<% valg.setBankmodel(bank); %>  <%-- st bankmodel frste gang --%>
</jsp:useBean>
<jsp:setProperty name="valg" property="*" />

<%
	if (valg.konto == null) {              // har han valgt en af sine konti?
		// nej - find alle brugerens konti og lg dem i valg.konti 
		if (valg.konti == null) {
			valg.konti = new ArrayList();
			for (int i=0; i<bank.konti.size(); i++) {
				Kontomodel k = (Kontomodel) bank.konti.get(i);
				if (k.getEjer().equalsIgnoreCase(brugernavn)) valg.konti.add(k);
			}
		}

		if (valg.konti.size() == 0) {
			application.log(brugernavn+" skal oprette konto.");
			request.getRequestDispatcher("/WEB-INF/bank/ingen_konto.jsp").forward(request,response);
		} else if (valg.konti.size() == 1) {
			application.log(brugernavn+" har kun en konto, den vlger vi!");
			valg.konto = (Kontomodel) valg.konti.get(0);
			request.getRequestDispatcher("/WEB-INF/bank/vis_konto.jsp").forward(request,response);
		} else {
			application.log(brugernavn+" vlger ml. "+valg.konti.size()+" konti");
			request.getRequestDispatcher("/WEB-INF/bank/vaelg_konto.jsp").forward(request,response);
		}
		return;                              // afslut behandlingen af denne side
	}

	if (valg.handling != null) {           // konto er valgt - nogen handlinger?
		application.log(brugernavn+" udfrer handling: "+valg.handling);
		valg.udfrHandling();
	}
	request.getRequestDispatcher("/WEB-INF/bank/vis_konto.jsp").forward(request,response);
%>